#include "xfxelemvisstatesample.h"

XFxElemVisStateSample::XFxElemVisStateSample()
    : XAsset()
    , mBase()
    , mAmplitude()
{
    SetName("Element Vis State Sample");
}

XFxElemVisStateSample::~XFxElemVisStateSample()
{
    
}

void XFxElemVisStateSample::Clear()
{
    mBase.Clear();
    mAmplitude.Clear();
}

void XFxElemVisStateSample::ParseData(XDataStream *aStream)
{
    mBase.ParseData(aStream);
    mAmplitude.ParseData(aStream);
}
